<?php
  ///////////////////////////////////////////////////
  //перемещение строк вверх/вниз
  //2009 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if (is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['org-title3'];

  require_once "../config.php";
  require_once "../util/top.php";

  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_GET['photo_id'])) puterror2($TEXT['error-pho17']);
  if(strlen($_GET['photo_id'])>11) puterror2($TEXT['error-pho18']);
  if(empty($_GET['mer_id'])) puterror2($TEXT['error-pho15']);
  if(strlen($_GET['mer_id'])>11) puterror2($TEXT['error-pho13']);
  if(empty($_GET['position'])) puterror2($TEXT['error-pho3']);
  if(strlen($_GET['position'])>5) puterror2($TEXT['error-pho4']);
  if(empty($_GET['moving'])) puterror2($TEXT['error-otd4']);
  if(strlen($_GET['moving'])>5) puterror2($TEXT['error-otd5']);

  $_GET['position'] = rep($_GET['position']);
  $_GET['photo_id'] = rep($_GET['photo_id']);
  $_GET['moving'] = rep($_GET['moving']);
  $_GET['mer_id'] = rep($_GET['mer_id']);

  if($_GET['moving']=="up"){
  $query_move = "SELECT photo_id, mer_id, position FROM `tbl_photo` WHERE `position`<'".$_GET['position']."' AND `mer_id`='".$_GET['mer_id']."' ORDER BY `position` DESC LIMIT 1 ";
  $result_move = mysql_query($query_move);
  if (!$result_move) puterror2($TEXT['error-tbl13']);
   $result2_move = mysql_fetch_array($result_move);
   if($result2_move['position'] == 0) puterror2($TEXT['global-up-down']);

   $query = "UPDATE `tbl_photo` SET `position`='".$result2_move['position']."' WHERE `photo_id`='".$_GET['photo_id']."' ";
   if(mysql_query($query))
   {
   $query = "UPDATE `tbl_photo` SET `position`='".$_GET['position']."' WHERE `photo_id`='".$result2_move['photo_id']."' ";
     if(mysql_query($query))
      {
       echo "<html><head>
          <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=photoindex.php?mer_id=".$_GET['mer_id']."' />
          </head></html>";
      } else puterror2($TEXT['error-nd23']);
   } else puterror2($TEXT['error-nd23']);
  }
  else
  {
  $query_move = "SELECT photo_id, mer_id, position FROM `tbl_photo` WHERE `position`>'".$_GET['position']."' AND `mer_id`='".$_GET['mer_id']."' ORDER BY `position` LIMIT 1";
  $result_move = mysql_query($query_move);
  if (!$result_move) puterror2($TEXT['error-tbl13']);
   $result2_move = mysql_fetch_array($result_move);
  if($result2_move['position'] == 0) puterror2($TEXT['global-up-down']);

  $query = "UPDATE `tbl_photo` SET `position`='".$_GET['position']."' WHERE `photo_id`='".$result2_move['photo_id']."' ";
  if(mysql_query($query))
  {
   $query = "UPDATE `tbl_photo` SET `position`='".$result2_move['position']."' WHERE `photo_id`='".$_GET['photo_id']."' ";
     if(mysql_query($query))
      {
       echo "<html><head>
          <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=photoindex.php?mer_id=".$_GET['mer_id']."' />
          </head></html>";
      } else puterror2($TEXT['error-nd23']);
    } else puterror2($TEXT['error-nd23']);
  }
  require_once "../util/bottom.php";
?>
